unit uViewFiltroImportes;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, uViewBase, cxContainer, cxEdit, cxTextEdit, cxMaskEdit, cxSpinEdit,
  dxLayoutControl, StdCtrls, cxControls, SpTBXDkPanels, uViewParametrosInforme,
  SpTBXControls, SpTBXItem, cxGraphics, cxLookAndFeels, cxLookAndFeelPainters,
  TB2Dock;

type
  IViewFiltroImportes = interface(IViewParametrosInforme)
    ['{AE773F0B-E72A-4A71-9C5C-8E68EC61456A}']
  end;

  TfrViewFiltroImportes = class(TfrViewParametrosInforme, IViewFiltroImportes)
    cbxDesglosado: TCheckBox;
    eImporte: TcxSpinEdit;
    TBXLabel2: TSpTBXLabel;
    TBXAlignmentPanel1: TSpTBXDockablePanel;
    procedure cbxDesglosadoClick(Sender: TObject);
  end;

implementation
{$R *.dfm}

procedure TfrViewFiltroImportes.cbxDesglosadoClick(Sender: TObject);
begin
  inherited;
  eImporte.Enabled := not eImporte.Enabled;
end;

end.
